from flask import Flask, render_template, request
from flask_assets import Bundle, Environment
 
from todo import todos

app = Flask(__name__)

assets = Environment(app)
#css = Bundle("src/main.css", output="dist/main.css")

# https://unpkg.com/htmx.org
js  = Bundle("src/*.js", output="dist/main.js")

#assets.register("css", css)
assets.register("js", js)
#css.build()
js.build()



@app.route("/")
def homepage():
    return render_template("page1.html")

 
@app.route("/search", methods=["POST"])
def search_todo():
    search_term = request.form.get("search")

    if not len(search_term):
        return render_template("todo.html", todos=[])

    res_todos = []
    for todo in todos:
        if search_term in todo["title"]:
            res_todos.append(todo)

    return render_template("todo.html", todos=res_todos)



if __name__ == "__main__":
    app.run(debug=True, host='0.0.0.0')